Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture
Class DrawableCapture

    java.lang.Object
      teamdev.jxcapture.CaptureOperation
          teamdev.jxcapture.DrawableCapture

Direct Known Subclasses:
  ObjectOnScreenCapture, RegionCapture

public abstract class DrawableCapture
extends CaptureOperation

This abstract class represents a drawing capture operation, like capture of a specified region or object.

Constructor Summary
`protected` | `DrawableCapture(SelectionController controller)`

Method Summary
`void` | `cancel()` Fires the cancel event and disposes of the drawable area.
`void` | `complete()` Fires the complete event and disposes of the drawable area.
`void` | `dispose()` Disposes of the current operation.
`protected SelectionController` | `getController()`
`DrawableArea` | `getDrawableArea()`
`protected void` | `showDrawableArea()`

Methods inherited from class teamdev.jxcapture.CaptureOperation
`addCaptureListener, execute, fireCaptureCancelEvent, fireCaptureCompleteEvent, fireCaptureStartEvent, getCaptureListeners, removeCaptureListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawableCapture

    protected DrawableCapture(SelectionController controller)

Method Detail

### getController

    protected SelectionController getController()

### getDrawableArea

    public DrawableArea getDrawableArea()

### showDrawableArea

    protected void showDrawableArea()

### dispose

    public void dispose()

  Disposes of the current operation.

### cancel

    public void cancel()

  Fires the cancel event and disposes of the drawable area.

### complete

    public void complete()

  Fires the complete event and disposes of the drawable area.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD